विज्ञापन ऐसेट बनाएं

अन्य तरह के लाइन आइटम से दिखाए जाने वाले क्रिएटिव के उलट, मांग बढ़ाने में मदद करने वाले विज्ञापनों से दिखाए जाने वाले क्रिएटिव, AdGroupAd ऐसेट में ही बनाए जाते हैं. इन क्रिएटिव को बनाने के लिए, विज्ञापनों को असाइन की गई इमेज और वीडियो ऐसेट को Display & Video 360 API में AdAsset संसाधनों के ज़रिए दिखाया जाता है.

AdGroupAd संसाधन बनाने से पहले, उससे जुड़े AdAsset संसाधन बनाएं. अगर ये संसाधन पहले से मौजूद नहीं हैं, तो विज्ञापन इनका इस्तेमाल करेगा. अगर उन्हें पहले यूज़र इंटरफ़ेस (यूआई) या एपीआई का इस्तेमाल करके बनाया गया था, तो advertisers.adAssets सेवा get और list तरीकों का इस्तेमाल करके, मौजूदा ऐसेट को वापस पाया जा सकता है.

इमेज और वीडियो AdAsset ऐसेट बनाने के लिए, अलग-अलग तरीकों का इस्तेमाल किया जाता है:

  • इमेज ऐसेट को Display & Video 360 में, advertisers.adAssets.upload तरीके का इस्तेमाल करके अपलोड करना होगा.
  • वीडियो ऐसेट को YouTube वीडियो आईडी का इस्तेमाल करके जोड़ा जाना चाहिए. साथ ही, उन्हें advertisers.adAssets.create तरीके का इस्तेमाल करके बनाया जाना चाहिए.

AdAsset संसाधन के adAssetId का इस्तेमाल, मांग बढ़ाने में मदद करने वाले विज्ञापन से ऐसेट को जोड़ने के लिए किया जाता है.

इमेज ऐसेट अपलोड करना

AD_ASSET_TYPE_IMAGE ऐसेट बनाने के लिए इमेज फ़ाइलें अपलोड करें. इनका इस्तेमाल कंपैनियन बैनर, लोगो, और मार्केटिंग इमेज के तौर पर किया जा सकता है.

AdAsset संसाधन बनाने के लिए, इमेज ऐसेट अपलोड करने का तरीका यहां बताया गया है:

Java

// Provide the parent advertiser ID to upload the media file under.
long advertiserId = advertiser-id;

// Provide the local path to the media file.
String assetPath = asset-path;

// Get filename from path.
String assetFilename = new File(assetPath).getName();

// Create the asset upload request content.
UploadAdAssetRequest content =
    new UploadAdAssetRequest()
        .setFilename(assetFilename)
        .setAdAssetType("AD_ASSET_TYPE_IMAGE");

// Parse filename for appropriate MIME type.
FileNameMap filenameMap = URLConnection.getFileNameMap();
String mimeType = filenameMap.getContentTypeFor(assetFilename);
if (mimeType == null) {
  mimeType = "application/octet-stream";
}

// Create input stream for the ad asset.
InputStreamContent assetStream =
    new InputStreamContent(mimeType, new FileInputStream(assetPath));

// Configure the ad asset upload request.
AdAssets.Upload uploadRequest =
    service
        .advertisers()
        .adAssets()
        .upload(advertiserId, content, assetStream);

// Upload the asset.
UploadAdAssetResponse assetResponse = uploadRequest.execute();

// Display the new asset media ID.
System.out.printf(
    "Ad asset was created with asset ID %s.",
    assetResponse.getAdAsset().getAdAssetId());

Python

# Import the object used as the media body for the upload request.
from apiclient.http import MediaFileUpload

# Provide the parent advertiser ID to upload the media file under.
advertiser_id = advertiser-id

# Provide the filename and local path to the media file.
asset_filename = asset-filename
asset_path = asset-path

# Create the request body.
body = {"filename": asset_filename, "adAssetType": "AD_ASSET_TYPE_IMAGE"}

# Create the upload object and use a default MIME type if not identified.
media = MediaFileUpload(asset_path)
if not media.mimetype():
  media = MediaFileUpload(asset_path, "application/octet-stream")

# Upload the asset.
upload_response = (
    service.advertisers()
    .adAssets()
    .upload(advertiserId=advertiser_id, body=body, media_body=media)
    .execute()
)

# Display the new ad asset.
print(f"Ad asset {upload_response['adAsset']['name']} was created.")

PHP

// Provide the parent advertiser ID to upload the media file under.
$advertiserId = advertiser-id;

// Provide the local path to the media file.
$assetPath = asset-path;

// Provide the name of the media file.
$assetFilename = asset-filename;

// Create the request object.
$body = new Google_Service_DisplayVideo_UploadAdAssetRequest();
$body->setFilename($assetFilename);
$body->setAdAssetType('AD_ASSET_TYPE_IMAGE');

// Set the query parameters
$optParams = array(
    'data' => file_get_contents($assetPath),
    'mimeType' => mime_content_type($assetFilename),
    'uploadType' => 'media'
);

// Upload the asset.
try {
    $result = $this->service->advertisers_adAssets->upload(
        $advertiserId,
        $body,
        $optParams
    );
} catch (\Exception $e) {
    $this->renderError($e);
    return;
}

// Display the new ad asset.
printf(
    '<p>Ad Asset was created with asset ID %s.</p>',
    $result->getAdAsset()->getAdAssetId()
);

YouTube ऐसेट बनाना

मांग बढ़ाने में मदद करने वाले कैंपेन के वीडियो विज्ञापनों में इस्तेमाल की जा सकने वाली AD_ASSET_TYPE_YOUTUBE_VIDEO ऐसेट बनाने के लिए, YouTube वीडियो आईडी उपलब्ध कराएं.

AdAsset ऐसेट बनाने के लिए, YouTube वीडियो ऐसेट बनाने का तरीका यहां बताया गया है:

Java

// Provide the ID of the parent advertiser.
long advertiserId = advertiser-id;

// Provide the YouTube video ID.
String youtubeVideoId = youtube-video-id;

// Create the ad asset structure.
AdAsset adAsset =
    new AdAsset()
        .setAdAssetType("AD_ASSET_TYPE_YOUTUBE_VIDEO")
        .setYoutubeVideoAsset(
            new YoutubeVideoAsset().setYoutubeVideoId(youtubeVideoId));

// Configure the create request.
AdAssets.Create request =
    service
        .advertisers()
        .adAssets()
        .create(
            advertiserId, new CreateAdAssetRequest().setAdAsset(adAsset));

// Create the ad asset.
AdAsset response = request.execute();

// Display the new ad asset.
System.out.printf("Ad asset %s was created.", response.getName());

Python

# Provide the ID of the parent advertiser.
advertiser_id = advertiser-id

# Provide the YouTube video ID.
youtube_video_id = youtube-video-id

# Create the ad asset structure.
ad_asset_create_body = {
    "adAsset": {
        "adAssetType": "AD_ASSET_TYPE_YOUTUBE_VIDEO",
        "youtubeVideoAsset": {"youtubeVideoId": youtube_video_id},
    }
}

# Create the ad asset.
response = (
    service.advertisers()
    .adAssets()
    .create(advertiserId=advertiser_id, body=ad_asset_create_body)
    .execute()
)

# Display the new ad asset.
print(f"Ad asset {response['name']} was created.")

PHP

// Provide the ID of the parent advertiser.
$advertiserId = advertiser-id;

// Provide the YouTube video ID.
$youtubeVideoId = youtube-video-id;

// Create the ad asset structure.
$youtubeVideoAsset =
    new Google_Service_DisplayVideo_YoutubeVideoAsset();
$youtubeVideoAsset->setYoutubeVideoId($youtubeVideoId);
$adAsset = new Google_Service_DisplayVideo_AdAsset();
$adAsset->setAdAssetType('AD_ASSET_TYPE_YOUTUBE_VIDEO');
$adAsset->setYoutubeVideoAsset($youtubeVideoAsset);

// Create the create request.
$createAdAssetRequest =
    new Google_Service_DisplayVideo_CreateAdAssetRequest();
$createAdAssetRequest->setAdAsset($adAsset);

// Create the ad asset.
try {
    $result =
        $this->service->advertisers_adAssets->create(
            $advertiserId,
            $createAdAssetRequest
        );
} catch (\Exception $e) {
    $this->renderError($e);
    return;
}

// Display the new ad asset.
printf(
    '<p>Ad Asset was created with asset ID %s.</p>',
    $result['adAssetId']
);